List Products by Operator
curl --request GET \
--url https://api.payvessel.com/vaas/api/v1/gift-cards/operators/{operator_id}/products \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-key>'import requests
url = "https://api.payvessel.com/vaas/api/v1/gift-cards/operators/{operator_id}/products"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-key>'}};
fetch('https://api.payvessel.com/vaas/api/v1/gift-cards/operators/{operator_id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {}
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}Gift Cards
List Products
Fetch all available products for a gift card operator
GET
/
vaas
/
api
/
v1
/
gift-cards
/
operators
/
{operator_id}
/
products
List Products by Operator
Authorizations
Your PayVessel business API key.
Your PayVessel business API secret.
Path Parameters
Maximum string length:
128⌘I
